package ant;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/*
 * Created on Oct 7, 2004
 * Window - Preferences - Java - Code Style - Code Templates
 */

/**
 * @author Chun ping Wang
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class Messages {
	private static final String BUNDLE_NAME = "messages";//$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private Messages() {/* private constructor */}

	/**
	 * @param key String
	 * @return String base on value of key.
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}